win-pvdrivers

changeset 894:0b79cfdae922 0.11.0.285

updated build instructions as they were way out of date
author James Harper <james.harper@bendigoit.com.au>
date Wed Mar 23 22:09:06 2011 +1100 (2011-03-23)
parents 77874f11a978
children 26fcdb535a0a
files doc/BUILDING.txt doc/INSTALLING.txt
line diff
     1.1 --- a/doc/BUILDING.txt	Thu Mar 17 21:43:00 2011 +1100
     1.2 +++ b/doc/BUILDING.txt	Wed Mar 23 22:09:06 2011 +1100
     1.3 @@ -1,5 +1,5 @@
     1.4 -1. Download and install the Windows Driver Framework SDK (6001 is all
     1.5 -that is supported now) from Microsoft. You have to jump through a few
     1.6 +1. Download and install the Windows Driver Framework SDK (7600.16385.0
     1.7 +is what i'm using) from Microsoft. You have to jump through a few
     1.8  hoops to get it, but it is free (as in beer of course. Microsoft don't
     1.9  do the 'as in speech' variety of free). It's also huge.
    1.10  http://www.microsoft.com/whdc/driver/wdf/default.mspx is a good place
    1.11 @@ -7,8 +7,8 @@ to start.
    1.12  http://www.microsoft.com/whdc/DevTools/WDK/WDKpkg.mspx is probably a
    1.13  better place to start. 
    1.14  
    1.15 -2. Download and install the Nullsoft Installer from
    1.16 -http://nsis.sourceforge.net/
    1.17 +2. Download and install the Wix Installer from
    1.18 +http://wix.sourceforge.net/ - i'm using 3.0 but newer might work.
    1.19  
    1.20  3. Use Mercurial (get it from 
    1.21  http://www.selenic.com/mercurial/wiki/index.cgi/BinaryPackages) to get 
    1.22 @@ -17,12 +17,13 @@ http://xenbits.xensource.com/ext/win-pvd
    1.23  
    1.24  4. From the top directory, type 'makedist', which will build the drivers
    1.25  for all architectures. If the build fails, then you probably don't have
    1.26 -exactly the 6001.17121 that i'm using. Edit set_ddk_path.bat and do a
    1.27 +exactly the 7600.16385.0 that i'm using. Edit set_ddk_path.bat and do a
    1.28  'makedist' again.
    1.29  
    1.30  5. Assuming all went well, your drivers should be in target/<os>/<arch> 
    1.31  directory. (<os> is win2k, winxp, winnet and winlh, arch is i386 and
    1.32 -amd64). "Xen PV Drivers <version>.exe" should also be created which is
    1.33 -the nsis installer.
    1.34 +amd64). "gplpv_<platform>_<version>.msi" should also be created which is
    1.35 +the wix installer. The msi files with _debug in the filename are the
    1.36 +debug build versions.
    1.37  
    1.38  See the INSTALLING.txt file for information on how to install. 
     2.1 --- a/doc/INSTALLING.txt	Thu Mar 17 21:43:00 2011 +1100
     2.2 +++ b/doc/INSTALLING.txt	Wed Mar 23 22:09:06 2011 +1100
     2.3 @@ -1,1 +1,2 @@
     2.4 -see http://wiki.xensource.com/xenwiki/XenWindowsGplPv/Installing for details
     2.5 \ No newline at end of file
     2.6 +see http://wiki.xensource.com/xenwiki/XenWindowsGplPv/Installing for details
     2.7 +(unfortunately that's probably out of date)
     2.8 \ No newline at end of file